Skip to main content
GET /v1/memory_stores/{memory_store_id}/versions/{version_id} Retrieves a single Memory version object. The response includes content only when the version is not redacted and content is available.

Path parameters

ParameterTypeRequiredDescription
memory_store_idstringYesMemory Store ID with the memstore_ prefix
version_idstringYesMemory version ID with the memver_ prefix

Headers

HeaderRequiredDescription
AuthorizationYesBearer $QODER_PAT

Example request

curl -X GET "https://api.qoder.com/api/v1/cloud/memory_stores/memstore_xxx/versions/memver_xxx" \
  -H "Authorization: Bearer $QODER_PAT"

Example response

HTTP 200 OK, not redacted
{
  "id": "memver_019e3bb9cf417d89970ba7f45e728c56",
  "type": "memory_version",
  "store_id": "memstore_019e3bb93b7074f9a5130d39ddcca90f",
  "entry_id": "mem_019e3bb9cf417d7dbb11fe9784dbb65c",
  "entry_path": "versions/test.md",
  "action": "created",
  "content": "Version 1 content",
  "size": 17,
  "content_sha256": "fe80a065cb120813abf7dfceb4018a53d6eb7140c785181634e019656176c64e",
  "redacted": false,
  "created_at": "2026-05-18T15:34:53.528628Z"
}
HTTP 200 OK, redacted
{
  "id": "memver_019e3bb9cf417d89970ba7f45e728c56",
  "type": "memory_version",
  "store_id": "memstore_019e3bb93b7074f9a5130d39ddcca90f",
  "entry_id": "mem_019e3bb9cf417d7dbb11fe9784dbb65c",
  "entry_path": "versions/test.md",
  "action": "created",
  "size": 17,
  "content_sha256": "fe80a065cb120813abf7dfceb4018a53d6eb7140c785181634e019656176c64e",
  "redacted": true,
  "redacted_at": "2026-05-18T15:35:13.100297Z",
  "created_at": "2026-05-18T15:34:53.528628Z"
}

Response fields

FieldTypeDescription
idstringMemory version ID with the memver_ prefix
typestringAlways "memory_version"
store_idstringOwning Memory Store ID
entry_idstringMemory entry ID
entry_pathstringEntry path at the time this version was recorded
actionstringVersion action. See Memory version action
contentstringReturned only when redacted is false and content is available
sizeintegerVersion content size in bytes
content_sha256stringSHA-256 digest of the version content
redactedbooleanWhether the version content has been redacted
redacted_atstringUTC redaction time, returned only when redacted is true
created_atstringUTC creation time

Errors

HTTPTypeTrigger
401authentication_errorMissing or invalid authentication token
404not_found_errorMemory Store or version does not exist
See Errors for the full error envelope.

Build persistent memory

Give your agent persistent memory across sessions.